> ## Documentation Index > Fetch the complete documentation index at: https://docs.mapp.com/llms.txt > Use this file to discover all available pages before exploring further. # List group settings templates > Gets all GroupSettingsTemplates that are defined in the system.
GroupSettingTemplates predefine several settings in a template and can be applied using /group/overrideGroupSettings call.
The mechanism for using GroupSettingTemplates is only available in a special configuration. ## OpenAPI ````json GET /group/getAllGroupSettingsTemplates { "openapi": "3.0.4", "info": { "title": "Engage public API", "version": "1" }, "servers": [ { "url": "https://your-engage-domain.com/api/rest" } ], "tags": [ { "name": "Address Attributes" }, { "name": "Async" }, { "name": "Audit Log" }, { "name": "Automation" }, { "name": "Blacklist" }, { "name": "CMS" }, { "name": "Contact" }, { "name": "Content" }, { "name": "Coupon" }, { "name": "Draft Message" }, { "name": "Ecommerce" }, { "name": "Group" }, { "name": "Group Attributes" }, { "name": "Landing Page" }, { "name": "Member Attributes" }, { "name": "Membership" }, { "name": "Message" }, { "name": "Meta" }, { "name": "Mobile Push" }, { "name": "Prepared Message" }, { "name": "Process" }, { "name": "Profile Attributes" }, { "name": "Related Data" }, { "name": "Segmentation" }, { "name": "System" }, { "name": "System User" }, { "name": "Usage Statistics" }, { "name": "User" }, { "name": "Whiteboard" } ], "paths": { "/group/getAllGroupSettingsTemplates": { "get": { "tags": [ "Group" ], "summary": "List group settings templates", "description": "Gets all GroupSettingsTemplates that are defined in the system.
GroupSettingTemplates predefine several settings in a template and can be applied using /group/overrideGroupSettings call.
The mechanism for using GroupSettingTemplates is only available in a special configuration.", "operationId": "getAllGroupSettingsTemplates", "responses": { "200": { "description": "Example response:

[{
\"id\": 1,
\"name\": \"test template 0903\"
}]", "content": { "application/octet-stream": { "schema": { "$ref": "#/components/schemas/GroupSettingsTemplate" } } } }, "400": { "description": "", "content": { "application/octet-stream": {} } } } } } }, "components": { "schemas": { "GroupSettingsTemplate": { "type": "object", "properties": { "id": { "type": "integer", "format": "int64" }, "name": { "type": "string" } } } } } } ````